Survey V1

Access MSD surveys through service endpoints. This version will be retired by December 1, 2025. Use Survey v2 moving forward.

Get surveys by wellbore id

Request

Get surveys by wellbore id

Security
bearer and appkey
Path
wellboreIdstringrequired

The wellbore id

Headers
slb-data-partition-idstringrequired

The data partition id.

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/msd/v1/surveys/by-wellbore/{wellboreId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-data-partition-id: string'

Responses

Success

Bodyapplication/json
Array [
idstring
namestring
wellbore_idstring
survey_typestring
Enum:"DefinitiveSurvey""NonDefinitiveSurvey""WorkingSurvey""DefinitivePlan""NonDefinitivePlan"
depth_referencenumber
stationsArray of objects(StationDto)
]
Response
[ { "id": "string", "name": "string", "wellbore_id": "string", "survey_type": "DefinitiveSurvey", "depth_reference": 0, "stations": [] } ]